- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbcNodeDesc Class Reference

`#include <AbcNodeDesc.h>`

Inheritance diagram for AbcNodeDesc:

[legend]
Collaboration diagram for AbcNodeDesc:

[legend]
List of all members.

## Public Member Functions
| AbcNodeDesc ()
| AbcNodeDesc (AbcModel *m)
| AbcNodeDesc (AbcModel *m, const double *lb, const double *ub)
virtual | ~AbcNodeDesc ()
double * | lowerBounds ()
void | setLowerBounds (const double *lb, const int size)
void | setLowerBound (const int index, const double lb)
double * | upperBounds ()
void | setUpperBounds (const double *ub, const int size)
void | setUpperBound (const int index, const double ub)
void | setBranchedOn (int b)
void | setBranchedDir (int d)
void | setBranchedOnValue (double b)
int | getBranchedOn () const
int | getBranchedDir () const
double | getBranchedOnValue () const
## Private Attributes
double * | lowerBounds_
double * | upperBounds_
int | numberRows_
| Number of rows in problem (before these cuts).
int | numberCols_
int | branchedOn_
| The index of the branching variable.
double | branchedOnVal_
| The solution value (non-integral) of the branching variable.
int | branchedDir_
| Branching direction.

## Detailed Description

Definition at line 48 of file AbcNodeDesc.h.

## Constructor & Destructor Documentation

AbcNodeDesc::AbcNodeDesc | ( |  | ) | `[inline]`

Definition at line 78 of file AbcNodeDesc.h.

AbcNodeDesc::AbcNodeDesc | ( | AbcModel * | m | ) | `[inline]`

Definition at line 91 of file AbcNodeDesc.h.

AbcNodeDesc::AbcNodeDesc | ( | AbcModel * | m,
|  | const double * | lb,
|  | const double * | ub |
| ) |  |  | `[inline]`

Definition at line 104 of file AbcNodeDesc.h.

References OsiSolverInterface::getNumCols(), OsiSolverInterface::getNumRows(), lowerBounds_, numberCols_, numberRows_, AbcModel::solver(), and upperBounds_.

virtual AbcNodeDesc::~AbcNodeDesc | ( |  | ) | `[inline, virtual]`

Definition at line 120 of file AbcNodeDesc.h.

References lowerBounds_, and upperBounds_.

## Member Function Documentation

double* AbcNodeDesc::lowerBounds | ( |  | ) | `[inline]`

Definition at line 131 of file AbcNodeDesc.h.

References AbcModel::getColLower(), AbcModel::getNumCols(), lowerBounds_, and AlpsNodeDesc::model_.

void AbcNodeDesc::setLowerBounds | ( | const double * | lb,
|  | const int | size |
| ) |  |  | `[inline]`

Definition at line 146 of file AbcNodeDesc.h.

References CoinCopyN(), and lowerBounds_.

void AbcNodeDesc::setLowerBound | ( | const int | index,
|  | const double | lb |
| ) |  |  | `[inline]`

Definition at line 154 of file AbcNodeDesc.h.

References AbcModel::getNumCols(), lowerBounds_, and AlpsNodeDesc::model_.

double* AbcNodeDesc::upperBounds | ( |  | ) | `[inline]`

Definition at line 166 of file AbcNodeDesc.h.

References AbcModel::getColUpper(), AbcModel::getNumCols(), AlpsNodeDesc::model_, and upperBounds_.

void AbcNodeDesc::setUpperBounds | ( | const double * | ub,
|  | const int | size |
| ) |  |  | `[inline]`

Definition at line 179 of file AbcNodeDesc.h.

References CoinCopyN(), and upperBounds_.

void AbcNodeDesc::setUpperBound | ( | const int | index,
|  | const double | ub |
| ) |  |  | `[inline]`

Definition at line 187 of file AbcNodeDesc.h.

References AbcModel::getNumCols(), AlpsNodeDesc::model_, and upperBounds_.

void AbcNodeDesc::setBranchedOn | ( | int | b | ) | `[inline]`

Definition at line 199 of file AbcNodeDesc.h.

References branchedOn_.

void AbcNodeDesc::setBranchedDir | ( | int | d | ) | `[inline]`

Definition at line 201 of file AbcNodeDesc.h.

References branchedDir_.

void AbcNodeDesc::setBranchedOnValue | ( | double | b | ) | `[inline]`

Definition at line 203 of file AbcNodeDesc.h.

References branchedOnVal_.

int AbcNodeDesc::getBranchedOn | ( |  | ) | const`[inline]`

Definition at line 205 of file AbcNodeDesc.h.

References branchedOn_.

int AbcNodeDesc::getBranchedDir | ( |  | ) | const`[inline]`

Definition at line 207 of file AbcNodeDesc.h.

References branchedDir_.

double AbcNodeDesc::getBranchedOnValue | ( |  | ) | const`[inline]`

Definition at line 209 of file AbcNodeDesc.h.

References branchedOnVal_.

## Member Data Documentation

double* AbcNodeDesc::lowerBounds_`[private]`

Definition at line 59 of file AbcNodeDesc.h.

Referenced by AbcNodeDesc(), lowerBounds(), setLowerBound(), setLowerBounds(), and ~AbcNodeDesc().

double* AbcNodeDesc::upperBounds_`[private]`

Definition at line 61 of file AbcNodeDesc.h.

Referenced by AbcNodeDesc(), setUpperBound(), setUpperBounds(), upperBounds(), and ~AbcNodeDesc().

int AbcNodeDesc::numberRows_`[private]`

Number of rows in problem (before these cuts).

This means that for top of chain it must be rows at continuous

Definition at line 65 of file AbcNodeDesc.h.

Referenced by AbcNodeDesc().

int AbcNodeDesc::numberCols_`[private]`

Definition at line 67 of file AbcNodeDesc.h.

Referenced by AbcNodeDesc().

int AbcNodeDesc::branchedOn_`[private]`

The index of the branching variable.

Definition at line 70 of file AbcNodeDesc.h.

Referenced by getBranchedOn(), and setBranchedOn().

double AbcNodeDesc::branchedOnVal_`[private]`

The solution value (non-integral) of the branching variable.

Definition at line 73 of file AbcNodeDesc.h.

Referenced by getBranchedOnValue(), and setBranchedOnValue().

int AbcNodeDesc::branchedDir_`[private]`

Branching direction.

Definition at line 76 of file AbcNodeDesc.h.

Referenced by getBranchedDir(), and setBranchedDir().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.3.0/Alps/examples/Abc/AbcNodeDesc.h